MCP Tools Reference: paydeveloper.googleapis.com

工具:list_merchants

检索与经过身份验证的账号关联的所有 Google Pay 商家业务资料的列表。

以下示例演示了如何使用 curl 调用 list_merchants MCP 工具。

Curl 请求
                  
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_merchants",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

列出商家的请求消息。

输出架构

列出商家的响应消息。

ListMerchantsResponse

JSON 表示法
{
  "merchants": [
    {
      object (Merchant)
    }
  ]
}
字段
merchants[]

object (Merchant)

用户有权访问的商家的基本信息。

Merchant

JSON 表示法
{
  "merchantId": string,
  "displayName": string,
  "regionCode": string
}
字段
merchantId

string

仅限输出。商家的唯一标识符。

displayName

string

可选。商家的显示名称。

regionCode

string

可选。商家营业地点的地区代码。格式为 Unicode CLDR 地区代码,例如“US”。

工具注释

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:❌